<?php
/*
Plugin Name: OpenStack Object Storage
Description: Automatically copies media uploads to OptnStack Object Storage
Author: Canonical Ltd.
Author URI: http://www.canonical.com
Plugin URI: http://www.canonical.com
Version: 0.2
Network: True
License: GPLv3

// Copyright (c) 2014 IBM. All rights reserved.
//
// Released under the GPL license
// http://www.opensource.org/licenses/gpl-license.php
//
// **********************************************************************
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
// **********************************************************************
//
// Forked from the IBM Bluemix plugin (https://github.com/ibmjstart/wp-bluemix-objectstorage)
// and modified to use the OpenStack Object Storage
*/

function swift_init( ) {
    global $swift;
    require_once 'classes/swift.php';
    $swift = new Swift( __FILE__ );

    if(!get_option('object_storage')){
      //If this isn't in the database, create all of the default values we need.
      $swift->swift_create_bucket('WordPress');
      $options = array(
        'bucket' => 'WordPress',
        'object-prefix' => 'wp-content/uploads/',
        'auth-url' => '',
        'username' => '',
        'tenant' => '',
        'password' => '',
        'region' => '',
        'swift-url' => '',
        'copy-to-swift' => '1',
        'serve-from-swift' => '1',
        'remove-local-file' => '0'
      );
      update_option('object_storage', $options);
    }}

add_action( 'init', 'swift_init' );

function hide_objectstorage_deactivate($hook){
  if($hook == 'plugins.php'){
    wp_enqueue_script( 'hide-deactivation', plugins_url('hide-deactivation.js', __FILE__), 'jquery');
  }
}

add_action('admin_enqueue_scripts', 'hide_objectstorage_deactivate');
