<div class="aws-content swift-settings">

<?php
$buckets = $this->swift_get_containers();

if ( is_wp_error( $buckets ) ) :
	?>
	<div class="error">
		<p>
			<?php _e( 'Error retrieving a list of your containers from Swift:', 'swift' ); ?>
			<?php echo $buckets->get_error_message(); ?>
		</p>
	</div>
	<?php
endif;

if ( isset( $_GET['updated'] ) ) {
	?>
	<div class="updated">
		<p>
			<?php _e( 'Settings saved.', 'swift' ); ?>
		</p>
	</div>
	<?php
}
?>

<form method="post">
<input type="hidden" name="action" value="save" />
<?php wp_nonce_field( 'swift-save-settings' ) ?>

<table class="form-table">
<tr valign="top">
	<td>
		<h3><?php _e( 'Swift Object Storage Settings', 'swift' ); ?></h3>

		<label><?php _e( 'Auth URL:', 'auth-url' ); ?></label>&nbsp;&nbsp;
		<input type="text" name="auth-url" value="<?php echo esc_attr( $this->swift_get_setting( 'auth-url' ) ); ?>" size="30" /><br>
		<label><?php _e( 'Openstack User:', 'username' ); ?></label>&nbsp;&nbsp;
		<input type="text" name="username" value="<?php echo esc_attr( $this->swift_get_setting( 'username' ) ); ?>" size="30" /><br>
		<label><?php _e( 'Openstack Tenant:', 'tenant' ); ?></label>&nbsp;&nbsp;
		<input type="text" name="tenant" value="<?php echo esc_attr( $this->swift_get_setting( 'tenant' ) ); ?>" size="30" /><br>
		<label><?php _e( 'Openstack Password:', 'password' ); ?></label>&nbsp;&nbsp;
		<input type="password" name="password" value="<?php echo esc_attr( $this->swift_get_setting( 'password' ) ); ?>" size="30" /><br><br>
		<label><?php _e( 'Openstack Region:', 'region' ); ?></label>&nbsp;&nbsp;
		<input type="text" name="region" value="<?php echo esc_attr( $this->swift_get_setting( 'region' ) ); ?>" size="30" /><br><br>

		<label><?php _e( 'Swift bucket:', 'bucket' ); ?></label>&nbsp;&nbsp;
		<select name="bucket" class="bucket">
		<option value="">-- <?php _e( 'Select a Swift Container', 'swift' ); ?> --</option>
		<?php if ( is_array( $buckets ) ) foreach ( $buckets as $bucket ): ?>
				<option value="<?php echo esc_attr( $bucket['name'] ); ?>" <?php echo $bucket['name'] == $this->swift_get_setting( 'bucket' ) ? 'selected="selected"' : ''; ?>><?php echo esc_html( $bucket['name'] ); ?></option>
		<?php endforeach;?>
		<option value="new"><?php _e( 'Create a new container...', 'swift' ); ?></option>
		</select><br />
	</td>
</tr>

<tr valign="top">
	<td>
		<input type="hidden" name="object-prefix" value="<?php echo esc_attr( $this->swift_get_setting( 'object-prefix' ) ); ?>" size="30" />
		<label><?php _e( 'Swift URL:', 'swift' ); ?></label>&nbsp;&nbsp;
		<input type="text" name="swift-url" value="<?php echo esc_attr( $this->swift_get_setting( 'swift-url' ) ); ?>" size="80" />
	</td>
</tr>

<tr valign="top">
    <td>
        <label><?php _e( 'Media URLs will look like: ', 'swift' ); echo get_site_url() . '/' . esc_attr( $this->swift_get_setting('object-prefix')) ; ?> </label><br>
        <label><?php _e( 'And will be proxied to: ', 'swift' ); echo esc_attr( $this->swift_get_setting('swift-url')) . '/' . esc_attr($this->swift_get_setting('bucket')) . '/' . esc_attr($this->swift_get_setting('object-prefix')) ; ?></label>
    </td>
</tr>

<tr valign="top">
	<td>
		<h3><?php _e( 'Plugin Settings', 'swift' ); ?></h3>

		<input type="hidden" name="copy-to-swift" value="1" id="copy-to-swift"  />
		<input type="hidden" name="serve-from-swift" value="1" id="serve-from-swift" />
		<input type="checkbox" name="remove-local-file" value="1" id="remove-local-file" <?php echo $this->swift_get_setting( 'remove-local-file' ) ? 'checked="checked" ' : ''; ?> />
		<label for="remove-local-file"> <?php _e( 'Remove file from disk after swifth upload', 'swift' ); ?></label><br>
		<input type="checkbox" name="hidpi-images" value="1" id="hidpi-images" <?php echo $this->swift_get_setting( 'hidpi-images' ) ? 'checked="checked" ' : ''; ?> />
		<label for="hidpi-images"> <?php _e( 'Copy any HiDPI (@2x) images to Swift (works with WP Retina 2x plugin)', 'swift' ); ?></label>

	</td>
</tr>
<tr valign="top">
	<td>
		<button type="submit" class="button button-primary"><?php _e( 'Save Changes', 'amazon-web-services' ); ?></button>
	</td>
</tr>
</table>

</form>

</div>
